%global pkg aliyun-smc-extensions
%define pkg_version 0.1.0
%define anolis_release 1
%global debug_package %{nil}

Name:           %{pkg}
Version:        %{pkg_version}
Release:        1%{?dist}
Summary:        Aliyun Shared Memory Communication Extensions
License:        Mulan PSL v2

Source0:        %{pkg}-%{pkg_version}.tar.gz

Requires:       smc-tools

BuildRequires:  make
BuildRequires:  systemd
BuildRequires:  system-rpm-config

%description
The Aliyun Shared Memory Communication Extensions (%{name}) package.

%prep
%setup -n %{pkg}-%{pkg_version}

%build
%make_build ALIYUN_SMC_EXT_VERSION=%{pkg_version}

%install
%make_install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%license LICENSE
%{_bindir}/aliyunsmc-check
%{_bindir}/aliyunsmc-ueid
%{_unitdir}/aliyunsmc-ueid.service

%changelog
* Wed Jan 15 2025 Guangguan Wang <wangguangguan.wgg@alibaba-inc.com> - 0.1.0-1
- smc: first commit
